# NewGamePhysics.Physics.GravityEarthWgsModel Class Reference

World Geodetic System 1984 (WGS 1984) model of earth's gravity g. Reference: Hofmann-Wellenhof, B., Moritz, H. (2006), Physical Geodesy (2nd ed.), Springer-Verlag Wien. More...

List of all members.

## Public Member Functions
double | Calculate (double latitude, double height)
| Calculate the gravity outside the ellipsoid of the earth at a particular latitude in degrees and height above the surface in m. Obtained from the second order expansion of a small height.
## Static Public Attributes
static double | a = 6378137.0
| Semimajor axis of the ellipsoid in m.
static double | GM = 3986004.418e8
| Geocentric gravitational constant of the earth including the atmosphere in m^3*s^-2.
static double | omega = 7292115.0e-11
| Angular velocity of the earth in rad*s^-1.
static double | b = 6356752.3142
| Semiminor axis of the ellipsoid in m.
static double | E = 5.2185400842339e5
| Linear eccentricity in m.
static double | c = 6399593.6258
| Polar radius of curvature in m.
static double | e2 = 6.69437999014e-3
| First eccentricity squared.
static double | ep2 = 6.73949674228e-3
| Second eccenctricity squared.
static double | f = 1.0/298.257223563
| Flattening.
static double | U0 = 62636851.7146
| Normal potential of the ellipsoid in m^2*s^-2;.
static double | m = 0.00344978650684
| m = omega^2*a^2*b/GM
static double | ya = 9.7803253359
| Normal gravity at the equator in m*s^-2.
static double | yb = 9.8321849378
| Normal gravity at the pole in m*s^-2.
static double | M = 5.9733328e24
| Mass of earth in kg.

## Detailed Description

World Geodetic System 1984 (WGS 1984) model of earth's gravity g. Reference: Hofmann-Wellenhof, B., Moritz, H. (2006), Physical Geodesy (2nd ed.), Springer-Verlag Wien.

Definition at line 17 of file GravityEarthWgsModel.cs.

## Member Function Documentation

double NewGamePhysics.Physics.GravityEarthWgsModel.Calculate | ( | double | latitude,
|  | double | height |
| ) |  |  |

Calculate the gravity outside the ellipsoid of the earth at a particular latitude in degrees and height above the surface in m. Obtained from the second order expansion of a small height.

Parameters:

  | latitude | The latitude in degrees [-90,90]
  | height | The height above the ellipsoid in meters [0,1000000].

Returns:
  The gravity in m*s^-2.

Definition at line 100 of file GravityEarthWgsModel.cs.

    00101         {
    00102             if ((latitude < -90.0) || (latitude > 90.0))
    00103             {
    00104                 throw new ArgumentOutOfRangeException("latitude");
    00105             }
    00106
    00107             if ((height < 0.0) || (height > 1000000.0))
    00108             {
    00109                 throw new ArgumentOutOfRangeException("height");
    00110             }
    00111
    00112             // precalculations
    00113             double phi = Math.PI * latitude / 180.0;
    00114             double sl = Math.Sin(phi);
    00115             double s2l = Math.Sin(2.0 * phi);
    00116             double sl2 = sl * sl;
    00117             double s2l2 = s2l * s2l;
    00118
    00119             // calculate gravity flattening
    00120             double fs = (yb - ya) / ya;
    00121             double f4 = -0.5 * f * f + 2.5 * f * m;
    00122
    00123             // calculate latitude dependent gravity
    00124             double y = ya * (1.0 + fs * sl2 - 0.25 * f4 * s2l2);
    00125
    00126             // calculate the height dependent gravity
    00127             double yh = y * (1.0 - 2.0 / a * (1.0 + f + m - 2.0 * f * sl2) * height + 3.0 / (a * a) * (height * height));
    00128
    00129             // result
    00130             return yh;
    00131         }

## Member Data Documentation

double NewGamePhysics.Physics.GravityEarthWgsModel.a = 6378137.0`[static]`

Semimajor axis of the ellipsoid in m.

Definition at line 22 of file GravityEarthWgsModel.cs.

double NewGamePhysics.Physics.GravityEarthWgsModel.b = 6356752.3142`[static]`

Semiminor axis of the ellipsoid in m.

Definition at line 38 of file GravityEarthWgsModel.cs.

double NewGamePhysics.Physics.GravityEarthWgsModel.c = 6399593.6258`[static]`

Polar radius of curvature in m.

Definition at line 48 of file GravityEarthWgsModel.cs.

double NewGamePhysics.Physics.GravityEarthWgsModel.E = 5.2185400842339e5`[static]`

Linear eccentricity in m.

Definition at line 43 of file GravityEarthWgsModel.cs.

double NewGamePhysics.Physics.GravityEarthWgsModel.e2 = 6.69437999014e-3`[static]`

First eccentricity squared.

Definition at line 53 of file GravityEarthWgsModel.cs.

double NewGamePhysics.Physics.GravityEarthWgsModel.ep2 = 6.73949674228e-3`[static]`

Second eccenctricity squared.

Definition at line 58 of file GravityEarthWgsModel.cs.

double NewGamePhysics.Physics.GravityEarthWgsModel.f = 1.0/298.257223563`[static]`

Flattening.

Definition at line 63 of file GravityEarthWgsModel.cs.

double NewGamePhysics.Physics.GravityEarthWgsModel.GM = 3986004.418e8`[static]`

Geocentric gravitational constant of the earth including the atmosphere in m^3*s^-2.

Definition at line 28 of file GravityEarthWgsModel.cs.

double NewGamePhysics.Physics.GravityEarthWgsModel.M = 5.9733328e24`[static]`

Mass of earth in kg.

Definition at line 88 of file GravityEarthWgsModel.cs.

double NewGamePhysics.Physics.GravityEarthWgsModel.m = 0.00344978650684`[static]`

m = omega^2*a^2*b/GM

Definition at line 73 of file GravityEarthWgsModel.cs.

double NewGamePhysics.Physics.GravityEarthWgsModel.omega = 7292115.0e-11`[static]`

Angular velocity of the earth in rad*s^-1.

Definition at line 33 of file GravityEarthWgsModel.cs.

double NewGamePhysics.Physics.GravityEarthWgsModel.U0 = 62636851.7146`[static]`

Normal potential of the ellipsoid in m^2*s^-2;.

Definition at line 68 of file GravityEarthWgsModel.cs.

double NewGamePhysics.Physics.GravityEarthWgsModel.ya = 9.7803253359`[static]`

Normal gravity at the equator in m*s^-2.

Definition at line 78 of file GravityEarthWgsModel.cs.

double NewGamePhysics.Physics.GravityEarthWgsModel.yb = 9.8321849378`[static]`

Normal gravity at the pole in m*s^-2.

Definition at line 83 of file GravityEarthWgsModel.cs.

The documentation for this class was generated from the following file:

- C:/Users/Andreas Schiffler/Desktop/SVN/NewGamePhysics/NewGamePhysics/Physics/GravityEarthWgsModel.cs